/*
 * JarSearchController.java
 *
 * Copyright (C) 2007 Takis Diakoumis
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 */

package org.underworldlabs.jarsearch;

/** 
 * Controller interface definition.
 *
 * @author   Takis Diakoumis
 * @version  $Revision: 930 $
 * @date     $Date: 2007-07-01 11:47:17 +1000 (Sun, 01 Jul 2007) $
 */
public interface JarSearchController {
    
    /**
     * Adds the specified item to the result list.
     *
     * @param item    the result to add
     */
    void addSearchResult(JarSearchResult item);
    
    /**
     * Appends the specified text the progress output pane.
     *
     * @param text  the text to append
     */
    void appendProgress(String text);

    /**
     * Whether to do a case match.
     *
     * @return  true | false
     */
    boolean isMatchCaseSearch();
    
    /**
     * Whether to do use the input search text as 
     * a regex string.
     *
     * @return  true | false
     */
    boolean isRegexSearch();
    
    /**
     * Whether to do a case match.
     *
     * @return  true | false
     */
    boolean isWholeWordsSearch();

}





