/*
 * JarSearchResult.java
 *
 * Copyright (C) 2007 Takis Diakoumis
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 */

package org.underworldlabs.jarsearch;

/** 
 * Search result wrapper.
 *
 * @author   Takis Diakoumis
 * @version  $Revision: 930 $
 * @date     $Date: 2007-07-01 11:47:17 +1000 (Sun, 01 Jul 2007) $
 */
public class JarSearchResult {
    
    /** the class name */
    private String clazzName;
    
    /** the jar file */
    private String jarFile;
    
    /** Creates a new instance of JarSearchResult */
    public JarSearchResult() {}
    
    /** Creates a new instance of JarSearchResult */
    public JarSearchResult(String clazzName, String jarFile) {
        this.clazzName = clazzName;
        this.jarFile = jarFile;
    }

    public String getClazzName() {
        return clazzName;
    }

    public void setClazzName(String clazzName) {
        this.clazzName = clazzName;
    }

    public String getJarFile() {
        return jarFile;
    }

    public void setJarFile(String jarFile) {
        this.jarFile = jarFile;
    }
    
}





