/*
 * Main.java
 *
 * Copyright (C) 2007 Takis Diakoumis
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 */

package org.underworldlabs.jarsearch;

import java.util.Properties;
import org.underworldlabs.jarsearch.gui.JarSearchFrame;
import org.underworldlabs.util.SystemProperties;

/** 
 * Application entry point.
 *
 * @author   Takis Diakoumis
 * @version  $Revision: 1333 $
 * @date     $Date: 2008-06-24 21:19:51 +1000 (Tue, 24 Jun 2008) $
 */
public class Main {

    public Main() {
        // load the default properties
        SystemProperties.loadPropertiesResource(
                "defaults", "org/underworldlabs/jarsearch/default.properties");

        // make sure the user props dir exists
        SystemResources.buildUserProperties();

        // load the user properties with the defaults set
        Properties defaults = SystemProperties.getProperties("defaults");
        SystemProperties.loadProperties(
                "user", SystemResources.getUserSettingsFilePath(), defaults);

        new JarSearchFrame();
    }

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        new Main();
    }
    
}





